Qt 5.7 | Qt 3D | C++ Classes | QRenderState

Qt 5.7.1 Reference Documentation

# QRenderState Class

(Qt3DRender::QRenderState)

Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DRender::QAlphaCoverage, Qt3DRender::QBlendEquation, Qt3DRender::QBlendEquationArguments, Qt3DRender::QClipPlane, Qt3DRender::QColorMask, Qt3DRender::QDithering, Qt3DRender::QPointSize, Qt3DRender::QSeamlessCubemap, and Qt3DRender::QStencilTest

- List of all members, including inherited members

## Public Functions

| ~QRenderState()

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QRenderState(QRenderStatePrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode

## Member Function Documentation

### `[protected]` QRenderState::QRenderState(QRenderStatePrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QRenderState::~QRenderState()

Destroys the instance of QRenderState.